Package org.pushingpixels.substance.internal.ui

# Class SubstanceSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI
org.pushingpixels.substance.internal.ui.SubstanceSeparatorUI

public class SubstanceSeparatorUI extends BasicSeparatorUI
UI for separators in Substance look and feel.

## Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI

`highlight, shadow`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceSeparatorUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI

`getMaximumSize, getMinimumSize, installDefaults, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceSeparatorUI

public SubstanceSeparatorUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `BasicSeparatorUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `BasicSeparatorUI`